FitDialog Class Reference

Fit Wizard. More...

`#include <FitDialog.h>`

Inheritance diagram for FitDialog:

## Public Member Functions

| FitDialog (Graph *g, QWidget *parent=0)
void | setSrcTables (QList< MdiSubWindow * > tables)

## Protected Member Functions

void | chooseFitModelsFolder ()
void | choosePluginsFolder ()
void | closeEvent (QCloseEvent *e)
void | initAdvancedPage ()
void | initEditPage ()
void | initFitPage ()

## Private Slots

void | accept ()
void | activateCurve (const QString &)
void | addFunction ()
void | addFunctionName ()
void | applyChanges ()
| Applies the user changes to the numerical format of the output results. More...
void | changeDataRange ()
void | chooseFolder ()
void | deleteFitCurves ()
| Deletes the result fit curves from the plot. More...
void | enableApplyChanges (int=0)
| Enable the "Apply" button. More...
void | enableWeightingParameters (int index)
void | guessInitialValues ()
void | guessParameters ()
void | loadInitialGuesses ()
void | removeUserFunction ()
void | resetFunction ()
| Clears the function editor, the parameter names and the function name. More...
void | returnToFitPage ()
void | saveInitialGuesses ()
void | saveUserFunction ()
void | selectSrcTable (int tabnr)
void | setFunction (bool ok)
void | setGraph (Graph *g)
void | setNumPeaks (int peaks)
void | showAdvancedPage ()
void | showConfidenceLimits ()
void | showCovarianceMatrix ()
void | showEditPage ()
void | showExpression (int function)
void | showFitPage ()
void | showFunctionsList (int category)
void | showParameterRange (bool)
void | showParametersTable ()
void | showParseFunctions ()
void | showPointsBox (bool)
void | showPredictionLimits ()
void | showPreview (bool on)
void | showResiduals ()
void | updatePreview ()
void | updatePreviewColor (const QColor &)

## Private Member Functions

QStringList | builtInFunctionNames ()
void | initBuiltInFunctions ()
void | loadPlugins ()
void | loadUserFunctions ()
void | modifyGuesses (double *initVal)
QString | parseFormula (const QString &s)
QStringList | plugInNames ()
void | setCurrentFit (int)
void | setEditorTextColor (const QColor &c)
QStringList | userFunctionNames ()

## Private Attributes

QWidget * | advancedPage
QComboBox * | boxAlgorithm
ColorButton * | boxColor
DoubleSpinBox * | boxConfidenceLevel
QComboBox * | boxCurve
QLabel * | boxErrorMsg
DoubleSpinBox * | boxFrom
QTextEdit * | boxFunction
QLineEdit * | boxName
QLabel * | boxParam
QTableWidget * | boxParams
QSpinBox * | boxPoints
QSpinBox * | boxPrecision
DoubleSpinBox * | boxTo
DoubleSpinBox * | boxTolerance
QCheckBox * | boxUseBuiltIn
QComboBox * | boxWeighting
QPushButton * | btnAddFunc
QPushButton * | btnAddName
QPushButton * | btnAddTxt
QPushButton * | btnApply
QPushButton * | btnBack
QPushButton * | btnConfidenceLimits
QPushButton * | btnContinue
QPushButton * | btnCovMatrix
QPushButton * | btnDeleteFitCurves
QPushButton * | btnDelFunc
QPushButton * | btnGuess
QPushButton * | btnLoadGuesses
QPushButton * | btnParamRange
QPushButton * | btnParamTable
QPushButton * | btnPredictionLimits
QPushButton * | btnResiduals
QPushButton * | btnSaveGuesses
QPushButton * | buttonAdvanced
QPushButton * | buttonCancel1
QPushButton * | buttonCancel2
QPushButton * | buttonCancel3
QPushButton * | buttonClear
QPushButton * | buttonEdit
QPushButton * | buttonOk
QPushButton * | buttonPlugins
QListWidget * | categoryBox
QComboBox * | colNamesBox
QLineEdit * | covMatrixName
QList< Fit * > | d_built_in_functions
Fit * | d_current_fit
Graph * | d_graph
QPointer< Table > | d_param_table
QList< Fit * > | d_plugins
FunctionCurve * | d_preview_curve
QList< QwtPlotCurve * > | d_result_curves
QList< Fit * > | d_user_functions
ScriptEdit * | editBox
QWidget * | editPage
QTextEdit * | explainBox
QWidget * | fitPage
QListWidget * | funcBox
QSpinBox * | generatePointsBox
QRadioButton * | generatePointsBtn
QCheckBox * | globalParamTableBox
QLabel * | lblFunction
QLabel * | lblPoints
QCheckBox * | logBox
QLineEdit * | paramTableName
QCheckBox * | plotLabelBox
QSpinBox * | polynomOrderBox
QLabel * | polynomOrderLabel
QCheckBox * | previewBox
QRadioButton * | samePointsBtn
QCheckBox * | scaleErrorsBox
QList< MdiSubWindow * > | srcTables
QComboBox * | tableNamesBox
QStackedWidget * | tw

## Detailed Description

Fit Wizard.

## Constructor & Destructor Documentation

FitDialog::FitDialog | ( | Graph * | g,
|  | QWidget * | parent = `0`
| ) |  |

References categoryBox, choosePluginsFolder(), d_current_fit, d_param_table, d_plugins, d_preview_curve, d_user_functions, ApplicationWindow::fitModelsPath, ApplicationWindow::fitPluginsPath, funcBox, initAdvancedPage(), initBuiltInFunctions(), initEditPage(), initFitPage(), loadPlugins(), loadUserFunctions(), setGraph(), and tw.

## Member Function Documentation

void FitDialog::accept | ( |  | ) |

private slot

References Graph::analysableCurvesList(), boxAlgorithm, boxColor, boxCurve, boxFrom, boxFunction, boxParams, boxPoints, boxPrecision, boxTo, boxTolerance, boxWeighting, btnParamRange, Fit::BuiltIn, colNamesBox, ColorButton::color(), Graph::curve(), d_current_fit, d_graph, d_param_table, d_result_curves, Fit::errors(), Fit::fit(), ApplicationWindow::fit_output_precision, Fit::generateFunction(), generatePointsBox, generatePointsBtn, globalParamTableBox, modifyGuesses(), previewBox, NonLinearFit::removeConstants(), Filter::resultCurve(), Fit::results(), Fit::scaleErrors(), scaleErrorsBox, Fit::setAlgorithm(), Filter::setColor(), NonLinearFit::setConstant(), Filter::setDataFromCurve(), NonLinearFit::setFormula(), Fit::setInitialGuesses(), Filter::setMaximumIterations(), Filter::setOutputPrecision(), Fit::setParameterRange(), NonLinearFit::setParametersList(), Filter::setTolerance(), Fit::setWeightingData(), tableNamesBox, Fit::type(), updatePreview(), DoubleSpinBox::value(), and Fit::writeParametersToTable().

Referenced by initFitPage().

void FitDialog::activateCurve | ( | const QString & | s | ) |

private slot

References boxColor, boxFrom, boxTo, Graph::curve(), d_graph, Graph::range(), ColorButton::setColor(), and DoubleSpinBox::setValue().

Referenced by initFitPage(), and setGraph().

void FitDialog::addFunction | ( |  | ) |

private slot

References categoryBox, editBox, and explainBox.

Referenced by initEditPage().

void FitDialog::addFunctionName | ( |  | ) |

private slot

References editBox, and funcBox.

Referenced by initEditPage().

void FitDialog::applyChanges | ( |  | ) |

private slot

Applies the user changes to the numerical format of the output results.

References boxParams, boxPrecision, btnApply, d_current_fit, ApplicationWindow::fit_output_precision, ApplicationWindow::fit_scale_errors, ApplicationWindow::fitPoints, generatePointsBox, generatePointsBtn, ApplicationWindow::generateUniformFitPoints, logBox, ApplicationWindow::pasteFitResultsToPlot, plotLabelBox, ApplicationWindow::saveSettings(), scaleErrorsBox, Filter::setOutputPrecision(), and ApplicationWindow::writeFitResultsToLog.

Referenced by initAdvancedPage(), and returnToFitPage().

QStringList FitDialog::builtInFunctionNames | ( |  | ) |

private

References d_built_in_functions.

Referenced by loadUserFunctions(), parseFormula(), saveUserFunction(), and showFunctionsList().

void FitDialog::changeDataRange | ( |  | ) |

private slot

References boxCurve, boxFrom, boxTo, Graph::curveRange(), d_graph, Graph::rangeSelectorsEnabled(), Graph::rangeSelectorTool(), Graph::selectedXEndValue(), Graph::selectedXStartValue(), and DoubleSpinBox::setValue().

Referenced by deleteFitCurves(), and setGraph().

void FitDialog::chooseFitModelsFolder | ( |  | ) |

protected

References d_built_in_functions, explainBox, ApplicationWindow::fitModelsPath, funcBox, loadUserFunctions(), and Fit::setFileName().

Referenced by chooseFolder(), and saveInitialGuesses().

void FitDialog::chooseFolder | ( |  | ) |

private slot

References categoryBox, chooseFitModelsFolder(), and choosePluginsFolder().

Referenced by initEditPage().

void FitDialog::choosePluginsFolder | ( |  | ) |

protected

References explainBox, ApplicationWindow::fitPluginsPath, funcBox, and loadPlugins().

Referenced by chooseFolder(), and FitDialog().

void FitDialog::closeEvent | ( | QCloseEvent * | e | ) |

protected

References d_current_fit, d_graph, d_preview_curve, Filter::dataSize(), plotLabelBox, and Filter::showLegend().

void FitDialog::deleteFitCurves | ( |  | ) |

private slot

Deletes the result fit curves from the plot.

References Graph::analysableCurvesList(), MdiSubWindow::askOnCloseEvent(), boxCurve, changeDataRange(), d_graph, d_result_curves, Graph::Function, Graph::removeCurve(), and Table::table().

Referenced by initFitPage().

void FitDialog::enableApplyChanges | ( | int | = `0` | ) |

private slot

Enable the "Apply" button.

References btnApply.

Referenced by initAdvancedPage().

void FitDialog::enableWeightingParameters | ( | int | index | ) |

private slot

References colNamesBox, Fit::Dataset, Fit::Direct, and tableNamesBox.

Referenced by initFitPage().

void FitDialog::guessInitialValues | ( |  | ) |

private slot

References boxCurve, boxFrom, boxParams, boxTo, Fit::BuiltIn, d_current_fit, Fit::guessInitialValues(), Fit::initialGuess(), Fit::numParameters(), previewBox, Filter::setDataFromCurve(), Fit::type(), updatePreview(), and DoubleSpinBox::value().

Referenced by initFitPage().

void FitDialog::guessParameters | ( |  | ) |

private slot

References boxErrorMsg, boxParam, boxUseBuiltIn, editBox, NonLinearFit::guessParameters(), and setEditorTextColor().

Referenced by initEditPage().

void FitDialog::initAdvancedPage | ( |  | ) |

protected

References advancedPage, applyChanges(), boxConfidenceLevel, boxPrecision, btnApply, btnBack, btnConfidenceLimits, btnCovMatrix, btnParamTable, btnPredictionLimits, btnResiduals, buttonCancel3, covMatrixName, enableApplyChanges(), ApplicationWindow::fit_output_precision, ApplicationWindow::fit_scale_errors, ApplicationWindow::fitPoints, generatePointsBox, generatePointsBtn, ApplicationWindow::generateUniformFitPoints, globalParamTableBox, lblPoints, logBox, paramTableName, ApplicationWindow::pasteFitResultsToPlot, plotLabelBox, returnToFitPage(), samePointsBtn, scaleErrorsBox, DoubleSpinBox::setDecimals(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), showConfidenceLimits(), showCovarianceMatrix(), showParametersTable(), showPointsBox(), showPredictionLimits(), showResiduals(), tw, updatePreview(), and ApplicationWindow::writeFitResultsToLog.

Referenced by FitDialog().

void FitDialog::initBuiltInFunctions | ( |  | ) |

private

References d_built_in_functions, d_graph, MultiPeakFit::enablePeakCurves(), ApplicationWindow::fitModelsPath, MultiPeakFit::Gauss, ApplicationWindow::generatePeakCurves, MultiPeakFit::Lorentz, ApplicationWindow::peakCurvesColor, Fit::setFileName(), and MultiPeakFit::setPeakCurvesColor().

Referenced by FitDialog().

void FitDialog::initEditPage | ( |  | ) |

protected

References addFunction(), addFunctionName(), boxErrorMsg, boxName, boxParam, boxUseBuiltIn, btnAddFunc, btnAddName, btnAddTxt, btnContinue, btnDelFunc, buttonCancel2, buttonClear, buttonPlugins, categoryBox, chooseFolder(), editBox, editPage, ScriptEdit::enableShortcuts(), explainBox, funcBox, guessParameters(), polynomOrderBox, polynomOrderLabel, removeUserFunction(), resetFunction(), saveUserFunction(), setFunction(), setNumPeaks(), showExpression(), showFitPage(), showFunctionsList(), and tw.

Referenced by FitDialog().

void FitDialog::initFitPage | ( |  | ) |

protected

References accept(), activateCurve(), boxAlgorithm, boxColor, boxCurve, boxFrom, boxFunction, boxParams, boxPoints, boxTo, boxTolerance, boxWeighting, btnDeleteFitCurves, btnGuess, btnLoadGuesses, btnParamRange, btnSaveGuesses, buttonAdvanced, buttonCancel1, buttonEdit, buttonOk, colNamesBox, ApplicationWindow::d_decimal_digits, deleteFitCurves(), enableWeightingParameters(), fitPage, guessInitialValues(), lblFunction, loadInitialGuesses(), previewBox, saveInitialGuesses(), selectSrcTable(), ColorButton::setColor(), DoubleSpinBox::setDecimals(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), showAdvancedPage(), showEditPage(), showParameterRange(), showPreview(), tableNamesBox, tw, updatePreview(), and updatePreviewColor().

Referenced by FitDialog().

void FitDialog::loadInitialGuesses | ( |  | ) |

private slot

References boxParams, d_current_fit, Fit::fileName(), Fit::initialGuess(), Fit::load(), Fit::numParameters(), previewBox, and updatePreview().

Referenced by initFitPage().

void FitDialog::loadPlugins | ( |  | ) |

private

References boxUseBuiltIn, d_graph, d_plugins, ApplicationWindow::fitPluginsPath, funcBox, PluginFit::load(), and Fit::setFileName().

Referenced by choosePluginsFolder(), and FitDialog().

void FitDialog::loadUserFunctions | ( |  | ) |

private

References boxUseBuiltIn, Fit::BuiltIn, builtInFunctionNames(), d_built_in_functions, d_graph, d_plugins, d_user_functions, Fit::fileName(), ApplicationWindow::fitModelsPath, funcBox, Fit::initialGuess(), Fit::load(), Fit::numParameters(), Fit::Plugin, plugInNames(), Fit::setFileName(), Fit::setInitialGuess(), Fit::type(), and Fit::User.

Referenced by chooseFitModelsFolder(), FitDialog(), and saveInitialGuesses().

void FitDialog::modifyGuesses | ( | double * | initVal | ) |

private

References d_current_fit, and ExponentialFit::isExponentialGrowth().

Referenced by accept().

QString FitDialog::parseFormula | ( | const QString & | s | ) |

private

References builtInFunctionNames(), d_built_in_functions, d_user_functions, Fit::formula(), and userFunctionNames().

Referenced by saveUserFunction(), and showFitPage().

QStringList FitDialog::plugInNames | ( |  | ) |

private

References d_plugins.

Referenced by loadUserFunctions().

void FitDialog::removeUserFunction | ( |  | ) |

private slot

References boxUseBuiltIn, d_current_fit, d_user_functions, explainBox, Fit::fileName(), funcBox, and userFunctionNames().

Referenced by initEditPage().

void FitDialog::resetFunction | ( |  | ) |

private slot

Clears the function editor, the parameter names and the function name.

References boxName, boxParam, and editBox.

Referenced by initEditPage().

void FitDialog::returnToFitPage | ( |  | ) |

private slot

References applyChanges(), fitPage, and tw.

Referenced by initAdvancedPage().

void FitDialog::saveInitialGuesses | ( |  | ) |

private slot

References boxName, boxParams, chooseFitModelsFolder(), ApplicationWindow::d_confirm_overwrite, d_current_fit, d_user_functions, Fit::fileName(), ApplicationWindow::fitModelsPath, ApplicationWindow::getFileName(), loadUserFunctions(), Fit::save(), and Fit::setInitialGuess().

Referenced by initFitPage().

void FitDialog::saveUserFunction | ( |  | ) |

private slot

References boxName, boxUseBuiltIn, builtInFunctionNames(), categoryBox, ApplicationWindow::d_confirm_overwrite, d_current_fit, d_graph, d_user_functions, editBox, Fit::fileName(), ApplicationWindow::fitModelsPath, funcBox, ApplicationWindow::getFileName(), parseFormula(), Fit::save(), Fit::setFormula(), showExpression(), and userFunctionNames().

Referenced by initEditPage().

void FitDialog::selectSrcTable | ( | int | tabnr | ) |

private slot

References Table::colNames(), colNamesBox, and srcTables.

Referenced by initFitPage(), and setSrcTables().

void FitDialog::setCurrentFit | ( | int | function | ) |

private

References categoryBox, d_built_in_functions, d_current_fit, d_plugins, and d_user_functions.

Referenced by setFunction(), and showExpression().

void FitDialog::setEditorTextColor | ( | const QColor & | c | ) |

private

References editBox.

Referenced by guessParameters(), and setFunction().

void FitDialog::setFunction | ( | bool | ok | ) |

private slot

References boxErrorMsg, boxName, boxParam, btnAddFunc, btnAddName, btnAddTxt, buttonClear, d_current_fit, editBox, explainBox, funcBox, Fit::parameterNames(), setCurrentFit(), and setEditorTextColor().

Referenced by initEditPage(), and showExpression().

void FitDialog::setGraph | ( | Graph * | g | ) |

private slot

References activateCurve(), Graph::analysableCurvesList(), boxCurve, changeDataRange(), Graph::curveRange(), d_graph, Graph::rangeSelectorsEnabled(), and Graph::rangeSelectorTool().

Referenced by FitDialog().

void FitDialog::setNumPeaks | ( | int | peaks | ) |

private slot

References d_current_fit, funcBox, and showExpression().

Referenced by initEditPage().

void FitDialog::setSrcTables | ( | QList< MdiSubWindow * > | tables | ) |

References boxCurve, colNamesBox, selectSrcTable(), srcTables, and tableNamesBox.

Referenced by ApplicationWindow::showFitDialog().

void FitDialog::showAdvancedPage | ( |  | ) |

private slot

References advancedPage, d_current_fit, ApplicationWindow::fit_scale_errors, scaleErrorsBox, and tw.

Referenced by initFitPage().

void FitDialog::showConfidenceLimits | ( |  | ) |

private slot

References boxConfidenceLevel, d_current_fit, Filter::dataSize(), Fit::showConfidenceLimits(), and DoubleSpinBox::value().

Referenced by initAdvancedPage().

void FitDialog::showCovarianceMatrix | ( |  | ) |

private slot

References Fit::covarianceMatrix(), covMatrixName, d_current_fit, and Filter::dataSize().

Referenced by initAdvancedPage().

void FitDialog::showEditPage | ( |  | ) |

private slot

References editPage, and tw.

Referenced by initFitPage().

void FitDialog::showExpression | ( | int | function | ) |

private slot

References boxUseBuiltIn, categoryBox, d_current_fit, d_plugins, d_user_functions, explainBox, MyParser::explainFunction(), Fit::formula(), polynomOrderBox, polynomOrderLabel, setCurrentFit(), and setFunction().

Referenced by initEditPage(), saveUserFunction(), and setNumPeaks().

void FitDialog::showFitPage | ( |  | ) |

private slot

References boxAlgorithm, boxFunction, boxName, boxParam, boxParams, boxPoints, boxPrecision, boxTolerance, boxUseBuiltIn, btnGuess, btnParamRange, Fit::BuiltIn, d_current_fit, d_graph, editBox, Filter::error(), fitPage, Fit::initialGuess(), lblFunction, RangeLimitBox::LeftLimit, Fit::numParameters(), Fit::parameterNames(), parseFormula(), previewBox, RangeLimitBox::RightLimit, DoubleSpinBox::setDecimals(), RangeLimitBox::setDecimals(), Fit::setFormula(), DoubleSpinBox::setValue(), showParameterRange(), tw, Fit::type(), updatePreview(), and Fit::User.

Referenced by initEditPage().

void FitDialog::showFunctionsList | ( | int | category | ) |

private slot

References boxUseBuiltIn, btnDelFunc, builtInFunctionNames(), buttonPlugins, d_plugins, d_user_functions, explainBox, funcBox, polynomOrderBox, polynomOrderLabel, and showParseFunctions().

Referenced by initEditPage().

void FitDialog::showParameterRange | ( | bool | on | ) |

private slot

References boxParams.

Referenced by initFitPage(), and showFitPage().

void FitDialog::showParametersTable | ( |  | ) |

private slot

References d_current_fit, d_param_table, Filter::dataSize(), Fit::parametersTable(), and paramTableName.

Referenced by initAdvancedPage().

void FitDialog::showParseFunctions | ( |  | ) |

private slot

References funcBox, and MyParser::functionsList().

Referenced by showFunctionsList().

void FitDialog::showPointsBox | ( | bool |  | ) |

private slot

References generatePointsBox, generatePointsBtn, and lblPoints.

Referenced by initAdvancedPage().

void FitDialog::showPredictionLimits | ( |  | ) |

private slot

References boxConfidenceLevel, d_current_fit, Filter::dataSize(), Fit::showPredictionLimits(), and DoubleSpinBox::value().

Referenced by initAdvancedPage().

void FitDialog::showPreview | ( | bool | on | ) |

private slot

References d_graph, d_preview_curve, and updatePreview().

Referenced by initFitPage().

void FitDialog::showResiduals | ( |  | ) |

private slot

References d_current_fit, Filter::dataSize(), and Fit::showResiduals().

Referenced by initAdvancedPage().

void FitDialog::updatePreview | ( |  | ) |

private slot

References Graph::antialiasing(), boxColor, boxFrom, boxParams, boxTo, ColorButton::color(), FunctionCurve::constants(), d_current_fit, d_graph, d_preview_curve, FunctionCurve::endRange(), Fit::formula(), FunctionCurve::formulas(), generatePointsBox, FunctionCurve::loadData(), previewBox, FunctionCurve::removeConstants(), FunctionCurve::setConstant(), FunctionCurve::setFormula(), FunctionCurve::setRange(), FunctionCurve::startRange(), and DoubleSpinBox::value().

Referenced by accept(), guessInitialValues(), initAdvancedPage(), initFitPage(), loadInitialGuesses(), showFitPage(), and showPreview().

void FitDialog::updatePreviewColor | ( | const QColor & | c | ) |

private slot

References d_graph, and d_preview_curve.

Referenced by initFitPage().

QStringList FitDialog::userFunctionNames | ( |  | ) |

private

References d_user_functions.

Referenced by parseFormula(), removeUserFunction(), and saveUserFunction().

## Member Data Documentation

QWidget * FitDialog::advancedPage

private

Referenced by initAdvancedPage(), and showAdvancedPage().

QComboBox* FitDialog::boxAlgorithm

private

Referenced by accept(), initFitPage(), and showFitPage().

ColorButton* FitDialog::boxColor

private

Referenced by accept(), activateCurve(), initFitPage(), and updatePreview().

DoubleSpinBox* FitDialog::boxConfidenceLevel

private

Referenced by initAdvancedPage(), showConfidenceLimits(), and showPredictionLimits().

QComboBox* FitDialog::boxCurve

private

Referenced by accept(), changeDataRange(), deleteFitCurves(), guessInitialValues(), initFitPage(), setGraph(), and setSrcTables().

QLabel* FitDialog::boxErrorMsg

private

Referenced by guessParameters(), initEditPage(), and setFunction().

DoubleSpinBox* FitDialog::boxFrom

private

Referenced by accept(), activateCurve(), changeDataRange(), guessInitialValues(), initFitPage(), and updatePreview().

QTextEdit * FitDialog::boxFunction

private

Referenced by accept(), initFitPage(), and showFitPage().

QLineEdit* FitDialog::boxName

private

Referenced by initEditPage(), resetFunction(), saveInitialGuesses(), saveUserFunction(), setFunction(), and showFitPage().

QLabel * FitDialog::boxParam

private

Referenced by guessParameters(), initEditPage(), resetFunction(), setFunction(), and showFitPage().

QTableWidget* FitDialog::boxParams

private

Referenced by accept(), applyChanges(), guessInitialValues(), initFitPage(), loadInitialGuesses(), saveInitialGuesses(), showFitPage(), showParameterRange(), and updatePreview().

QSpinBox* FitDialog::boxPoints

private

Referenced by accept(), initFitPage(), and showFitPage().

QSpinBox * FitDialog::boxPrecision

private

Referenced by accept(), applyChanges(), initAdvancedPage(), and showFitPage().

DoubleSpinBox* FitDialog::boxTo

private

Referenced by accept(), activateCurve(), changeDataRange(), guessInitialValues(), initFitPage(), and updatePreview().

DoubleSpinBox* FitDialog::boxTolerance

private

Referenced by accept(), initFitPage(), and showFitPage().

QCheckBox* FitDialog::boxUseBuiltIn

private

Referenced by guessParameters(), initEditPage(), loadPlugins(), loadUserFunctions(), removeUserFunction(), saveUserFunction(), showExpression(), showFitPage(), and showFunctionsList().

QComboBox* FitDialog::boxWeighting

private

Referenced by accept(), and initFitPage().

QPushButton* FitDialog::btnAddFunc

private

Referenced by initEditPage(), and setFunction().

QPushButton * FitDialog::btnAddName

private

Referenced by initEditPage(), and setFunction().

QPushButton * FitDialog::btnAddTxt

private

Referenced by initEditPage(), and setFunction().

QPushButton * FitDialog::btnApply

private

Referenced by applyChanges(), enableApplyChanges(), and initAdvancedPage().

QPushButton* FitDialog::btnBack

private

Referenced by initAdvancedPage().

QPushButton * FitDialog::btnConfidenceLimits

private

Referenced by initAdvancedPage().

QPushButton * FitDialog::btnContinue

private

Referenced by initEditPage().

QPushButton * FitDialog::btnCovMatrix

private

Referenced by initAdvancedPage().

QPushButton * FitDialog::btnDeleteFitCurves

private

Referenced by initFitPage().

QPushButton * FitDialog::btnDelFunc

private

Referenced by initEditPage(), and showFunctionsList().

QPushButton * FitDialog::btnGuess

private

Referenced by initFitPage(), and showFitPage().

QPushButton * FitDialog::btnLoadGuesses

private

Referenced by initFitPage().

QPushButton * FitDialog::btnParamRange

private

Referenced by accept(), initFitPage(), and showFitPage().

QPushButton* FitDialog::btnParamTable

private

Referenced by initAdvancedPage().

QPushButton * FitDialog::btnPredictionLimits

private

Referenced by initAdvancedPage().

QPushButton* FitDialog::btnResiduals

private

Referenced by initAdvancedPage().

QPushButton* FitDialog::btnSaveGuesses

private

Referenced by initFitPage().

QPushButton* FitDialog::buttonAdvanced

private

Referenced by initFitPage().

QPushButton* FitDialog::buttonCancel1

private

Referenced by initFitPage().

QPushButton* FitDialog::buttonCancel2

private

Referenced by initEditPage().

QPushButton* FitDialog::buttonCancel3

private

Referenced by initAdvancedPage().

QPushButton* FitDialog::buttonClear

private

Referenced by initEditPage(), and setFunction().

QPushButton* FitDialog::buttonEdit

private

Referenced by initFitPage().

QPushButton* FitDialog::buttonOk

private

Referenced by initFitPage().

QPushButton* FitDialog::buttonPlugins

private

Referenced by initEditPage(), and showFunctionsList().

QListWidget* FitDialog::categoryBox

private

Referenced by addFunction(), chooseFolder(), FitDialog(), initEditPage(), saveUserFunction(), setCurrentFit(), and showExpression().

QComboBox * FitDialog::colNamesBox

private

Referenced by accept(), enableWeightingParameters(), initFitPage(), selectSrcTable(), and setSrcTables().

QLineEdit* FitDialog::covMatrixName

private

Referenced by initAdvancedPage(), and showCovarianceMatrix().

QList<Fit*> FitDialog::d_built_in_functions

private

Referenced by builtInFunctionNames(), chooseFitModelsFolder(), initBuiltInFunctions(), loadUserFunctions(), parseFormula(), and setCurrentFit().

Fit* FitDialog::d_current_fit

private

Referenced by accept(), applyChanges(), closeEvent(), FitDialog(), guessInitialValues(), loadInitialGuesses(), modifyGuesses(), removeUserFunction(), saveInitialGuesses(), saveUserFunction(), setCurrentFit(), setFunction(), setNumPeaks(), showAdvancedPage(), showConfidenceLimits(), showCovarianceMatrix(), showExpression(), showFitPage(), showParametersTable(), showPredictionLimits(), showResiduals(), and updatePreview().

Graph* FitDialog::d_graph

private

Referenced by accept(), activateCurve(), changeDataRange(), closeEvent(), deleteFitCurves(), initBuiltInFunctions(), loadPlugins(), loadUserFunctions(), saveUserFunction(), setGraph(), showFitPage(), showPreview(), updatePreview(), and updatePreviewColor().

QPointer<Table> FitDialog::d_param_table

private

Referenced by accept(), FitDialog(), and showParametersTable().

QList<Fit*> FitDialog::d_plugins

private

Referenced by FitDialog(), loadPlugins(), loadUserFunctions(), plugInNames(), setCurrentFit(), showExpression(), and showFunctionsList().

FunctionCurve* FitDialog::d_preview_curve

private

Referenced by closeEvent(), FitDialog(), showPreview(), updatePreview(), and updatePreviewColor().

QList<QwtPlotCurve*> FitDialog::d_result_curves

private

Referenced by accept(), and deleteFitCurves().

QList<Fit*> FitDialog::d_user_functions

private

Referenced by FitDialog(), loadUserFunctions(), parseFormula(), removeUserFunction(), saveInitialGuesses(), saveUserFunction(), setCurrentFit(), showExpression(), showFunctionsList(), and userFunctionNames().

ScriptEdit* FitDialog::editBox

private

Referenced by addFunction(), addFunctionName(), guessParameters(), initEditPage(), resetFunction(), saveUserFunction(), setEditorTextColor(), setFunction(), and showFitPage().

QWidget * FitDialog::editPage

private

Referenced by initEditPage(), and showEditPage().

QTextEdit* FitDialog::explainBox

private

Referenced by addFunction(), chooseFitModelsFolder(), choosePluginsFolder(), initEditPage(), removeUserFunction(), setFunction(), showExpression(), and showFunctionsList().

QWidget* FitDialog::fitPage

private

Referenced by initFitPage(), returnToFitPage(), and showFitPage().

QListWidget * FitDialog::funcBox

private

Referenced by addFunctionName(), chooseFitModelsFolder(), choosePluginsFolder(), FitDialog(), initEditPage(), loadPlugins(), loadUserFunctions(), removeUserFunction(), saveUserFunction(), setFunction(), setNumPeaks(), showFunctionsList(), and showParseFunctions().

QSpinBox * FitDialog::generatePointsBox

private

Referenced by accept(), applyChanges(), initAdvancedPage(), showPointsBox(), and updatePreview().

QRadioButton* FitDialog::generatePointsBtn

private

Referenced by accept(), applyChanges(), initAdvancedPage(), and showPointsBox().

QCheckBox * FitDialog::globalParamTableBox

private

Referenced by accept(), and initAdvancedPage().

QLabel* FitDialog::lblFunction

private

Referenced by initFitPage(), and showFitPage().

QLabel * FitDialog::lblPoints

private

Referenced by initAdvancedPage(), and showPointsBox().

QCheckBox * FitDialog::logBox

private

Referenced by applyChanges(), and initAdvancedPage().

QLineEdit * FitDialog::paramTableName

private

Referenced by initAdvancedPage(), and showParametersTable().

QCheckBox* FitDialog::plotLabelBox

private

Referenced by applyChanges(), closeEvent(), and initAdvancedPage().

QSpinBox * FitDialog::polynomOrderBox

private

Referenced by initEditPage(), showExpression(), and showFunctionsList().

QLabel * FitDialog::polynomOrderLabel

private

Referenced by initEditPage(), showExpression(), and showFunctionsList().

QCheckBox* FitDialog::previewBox

private

Referenced by accept(), guessInitialValues(), initFitPage(), loadInitialGuesses(), showFitPage(), and updatePreview().

QRadioButton * FitDialog::samePointsBtn

private

Referenced by initAdvancedPage().

QCheckBox * FitDialog::scaleErrorsBox

private

Referenced by accept(), applyChanges(), initAdvancedPage(), and showAdvancedPage().

QList<MdiSubWindow*> FitDialog::srcTables

private

Referenced by selectSrcTable(), and setSrcTables().

QComboBox * FitDialog::tableNamesBox

private

Referenced by accept(), enableWeightingParameters(), initFitPage(), and setSrcTables().

QStackedWidget* FitDialog::tw

private

Referenced by FitDialog(), initAdvancedPage(), initEditPage(), initFitPage(), returnToFitPage(), showAdvancedPage(), showEditPage(), and showFitPage().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/FitDialog.h
- qtiplot/src/analysis/dialogs/FitDialog.cpp